const spawn = require('cross-spawn')

exports.getLocalIp = function() {
  let interfaces = require('os').networkInterfaces(),
    localIp = '0.0.0.0'
  out: for (let devName in interfaces) {
    let iface = interfaces[devName]
    for (var i = 0; i < iface.length; i++) {
      var alias = iface[i]
      if (alias.family === 'IPv4' && alias.address !== '127.0.0.1' && !alias.internal) {
        localIp = alias.address
        break out
      }
    }
  }
  return localIp
}

exports.runCmd = function(cmd, args=[], options = {}) {
  let defaultOptions = {
    stdio: 'inherit'
  }
  return spawn(cmd, args, Object.assign({}, defaultOptions, options))
}
